package com.changhu.module.management.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.changhu.common.pojo.vo.SelectNodeVo;
import com.changhu.module.management.pojo.entity.SecurityUnit;
import com.changhu.module.management.pojo.params.SecurityUnitSaveOrUpdateParams;
import com.changhu.module.management.pojo.queryParams.SecurityUnitPagerQueryParams;
import com.changhu.module.management.pojo.vo.SecurityUnitPagerVo;
import com.changhu.support.mybatisplus.pojo.params.PageParams;

import java.util.List;

/**
 * security_unit (保安单位)  服务类
 * author: luozhun
 * desc 由groovy脚本自动生成
 */
public interface SecurityUnitService extends IService<SecurityUnit> {

    /**
     * 分页查询
     *
     * @param queryParams 查询参数
     * @return 结果
     */
    Page<SecurityUnitPagerVo> pager(PageParams<SecurityUnitPagerQueryParams, SecurityUnitPagerVo> queryParams);

    /**
     * 新增或修改保安单位
     *
     * @param params 参数
     */
    void saveOrUpdate(SecurityUnitSaveOrUpdateParams params);

    /**
     * 查询单位下的项目经理
     *
     * @return 项目经理
     */
    List<SelectNodeVo<Long>> listProjectManager();
}
